// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		38159E9824352DD000819474 /* WeatherbitData.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38159E9724352DD000819474 /* WeatherbitData.swift */; };
		38159E9A24352E8300819474 /* WeatherbitService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 38159E9924352E8300819474 /* WeatherbitService.swift */; };
		3853FB7B237B8D1D00835B42 /* WeatherbitDataTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3853FB7A237B8D1D00835B42 /* WeatherbitDataTests.swift */; };
		3853FB89237C671A00835B42 /* WeatherbitExample.json in Resources */ = {isa = PBXBuildFile; fileRef = 3853FB87237B9C0100835B42 /* WeatherbitExample.json */; };
		3864C3EA237CB7FF000C9CA0 /* LocationGeocoder.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3864C3E9237CB7FF000C9CA0 /* LocationGeocoder.swift */; };
		3864C3EC237CB938000C9CA0 /* Location.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3864C3EB237CB938000C9CA0 /* Location.swift */; };
		3864C3EE237CC1F4000C9CA0 /* LocationGeocoderTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3864C3ED237CC1F4000C9CA0 /* LocationGeocoderTests.swift */; };
		3864C3F0237CC570000C9CA0 /* WeatherViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3864C3EF237CC570000C9CA0 /* WeatherViewController.swift */; };
		5394F02521864DF5006E754C /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5394F02321864DF4006E754C /* LaunchScreen.storyboard */; };
		A0C7C8F32849D93B006B5158 /* Box.swift in Sources */ = {isa = PBXBuildFile; fileRef = A0C7C8F22849D93B006B5158 /* Box.swift */; };
		A0C7C8F52849D983006B5158 /* WeatherViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A0C7C8F42849D983006B5158 /* WeatherViewModel.swift */; };
		A0C7C8F7284A76C7006B5158 /* WeatherViewModelTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = A0C7C8F6284A76C7006B5158 /* WeatherViewModelTests.swift */; };
		D2A5F2091F4A9144005CD714 /* Weather.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = D2A5F2071F4A9144005CD714 /* Weather.storyboard */; };
		D2A5F20B1F4A9144005CD714 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = D2A5F20A1F4A9144005CD714 /* Assets.xcassets */; };
		D2A5F2211F4A96D0005CD714 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = D2A5F2201F4A96D0005CD714 /* AppDelegate.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		3853FB7D237B8D1D00835B42 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = D2A5F1F81F4A9143005CD714 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = D2A5F1FF1F4A9144005CD714;
			remoteInfo = MVVMFromGroundUp;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		38159E9724352DD000819474 /* WeatherbitData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeatherbitData.swift; sourceTree = "<group>"; };
		38159E9924352E8300819474 /* WeatherbitService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeatherbitService.swift; sourceTree = "<group>"; };
		3853FB78237B8D1D00835B42 /* MVVMFromMVCTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = MVVMFromMVCTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		3853FB7A237B8D1D00835B42 /* WeatherbitDataTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeatherbitDataTests.swift; sourceTree = "<group>"; };
		3853FB7C237B8D1D00835B42 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		3853FB87237B9C0100835B42 /* WeatherbitExample.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = WeatherbitExample.json; sourceTree = "<group>"; };
		3864C3E9237CB7FF000C9CA0 /* LocationGeocoder.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LocationGeocoder.swift; sourceTree = "<group>"; };
		3864C3EB237CB938000C9CA0 /* Location.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Location.swift; sourceTree = "<group>"; };
		3864C3ED237CC1F4000C9CA0 /* LocationGeocoderTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LocationGeocoderTests.swift; sourceTree = "<group>"; };
		3864C3EF237CC570000C9CA0 /* WeatherViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeatherViewController.swift; sourceTree = "<group>"; };
		5394F02421864DF4006E754C /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		A0C7C8F22849D93B006B5158 /* Box.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Box.swift; sourceTree = "<group>"; };
		A0C7C8F42849D983006B5158 /* WeatherViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeatherViewModel.swift; sourceTree = "<group>"; };
		A0C7C8F6284A76C7006B5158 /* WeatherViewModelTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeatherViewModelTests.swift; sourceTree = "<group>"; };
		D2A5F2001F4A9144005CD714 /* Grados.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Grados.app; sourceTree = BUILT_PRODUCTS_DIR; };
		D2A5F2081F4A9144005CD714 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Weather.storyboard; sourceTree = "<group>"; };
		D2A5F20A1F4A9144005CD714 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		D2A5F20F1F4A9144005CD714 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		D2A5F2201F4A96D0005CD714 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		3853FB75237B8D1D00835B42 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D2A5F1FD1F4A9144005CD714 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		3853FB79237B8D1D00835B42 /* MVVMFromMVCTests */ = {
			isa = PBXGroup;
			children = (
				3853FB7A237B8D1D00835B42 /* WeatherbitDataTests.swift */,
				3864C3ED237CC1F4000C9CA0 /* LocationGeocoderTests.swift */,
				3853FB7C237B8D1D00835B42 /* Info.plist */,
				3853FB87237B9C0100835B42 /* WeatherbitExample.json */,
				A0C7C8F6284A76C7006B5158 /* WeatherViewModelTests.swift */,
			);
			path = MVVMFromMVCTests;
			sourceTree = "<group>";
		};
		38EFE6742384C89A00A76DBC /* Services */ = {
			isa = PBXGroup;
			children = (
				3864C3E9237CB7FF000C9CA0 /* LocationGeocoder.swift */,
				38159E9924352E8300819474 /* WeatherbitService.swift */,
			);
			path = Services;
			sourceTree = "<group>";
		};
		38EFE6752384C8AF00A76DBC /* Models */ = {
			isa = PBXGroup;
			children = (
				3864C3EB237CB938000C9CA0 /* Location.swift */,
				38159E9724352DD000819474 /* WeatherbitData.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		38EFE6762384C8C000A76DBC /* Storyboards */ = {
			isa = PBXGroup;
			children = (
				5394F02321864DF4006E754C /* LaunchScreen.storyboard */,
				D2A5F2071F4A9144005CD714 /* Weather.storyboard */,
			);
			path = Storyboards;
			sourceTree = "<group>";
		};
		38EFE6772384C8E000A76DBC /* Controllers */ = {
			isa = PBXGroup;
			children = (
				3864C3EF237CC570000C9CA0 /* WeatherViewController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		6351BBCE23AE8A6A00B7C4DF /* Utilities */ = {
			isa = PBXGroup;
			children = (
				A0C7C8F22849D93B006B5158 /* Box.swift */,
			);
			path = Utilities;
			sourceTree = "<group>";
		};
		6351BBCF23AE8A7000B7C4DF /* View Models */ = {
			isa = PBXGroup;
			children = (
				A0C7C8F42849D983006B5158 /* WeatherViewModel.swift */,
			);
			path = "View Models";
			sourceTree = "<group>";
		};
		D2A5F1F71F4A9143005CD714 = {
			isa = PBXGroup;
			children = (
				D2A5F2021F4A9144005CD714 /* MVVMFromMVC */,
				3853FB79237B8D1D00835B42 /* MVVMFromMVCTests */,
				D2A5F2011F4A9144005CD714 /* Products */,
			);
			indentWidth = 2;
			sourceTree = "<group>";
			tabWidth = 2;
		};
		D2A5F2011F4A9144005CD714 /* Products */ = {
			isa = PBXGroup;
			children = (
				D2A5F2001F4A9144005CD714 /* Grados.app */,
				3853FB78237B8D1D00835B42 /* MVVMFromMVCTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		D2A5F2021F4A9144005CD714 /* MVVMFromMVC */ = {
			isa = PBXGroup;
			children = (
				D2A5F2201F4A96D0005CD714 /* AppDelegate.swift */,
				D2A5F20A1F4A9144005CD714 /* Assets.xcassets */,
				38EFE6772384C8E000A76DBC /* Controllers */,
				D2A5F20F1F4A9144005CD714 /* Info.plist */,
				38EFE6752384C8AF00A76DBC /* Models */,
				38EFE6742384C89A00A76DBC /* Services */,
				38EFE6762384C8C000A76DBC /* Storyboards */,
				6351BBCE23AE8A6A00B7C4DF /* Utilities */,
				6351BBCF23AE8A7000B7C4DF /* View Models */,
			);
			path = MVVMFromMVC;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		3853FB77237B8D1D00835B42 /* MVVMFromMVCTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 3853FB7F237B8D1D00835B42 /* Build configuration list for PBXNativeTarget "MVVMFromMVCTests" */;
			buildPhases = (
				3853FB74237B8D1D00835B42 /* Sources */,
				3853FB75237B8D1D00835B42 /* Frameworks */,
				3853FB76237B8D1D00835B42 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				3853FB7E237B8D1D00835B42 /* PBXTargetDependency */,
			);
			name = MVVMFromMVCTests;
			productName = MVVMFromGroundUpTests;
			productReference = 3853FB78237B8D1D00835B42 /* MVVMFromMVCTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		D2A5F1FF1F4A9144005CD714 /* MVVMFromMVC */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = D2A5F2121F4A9144005CD714 /* Build configuration list for PBXNativeTarget "MVVMFromMVC" */;
			buildPhases = (
				D2A5F1FC1F4A9144005CD714 /* Sources */,
				D2A5F1FD1F4A9144005CD714 /* Frameworks */,
				D2A5F1FE1F4A9144005CD714 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = MVVMFromMVC;
			productName = MyRWTutorial;
			productReference = D2A5F2001F4A9144005CD714 /* Grados.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		D2A5F1F81F4A9143005CD714 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1120;
				LastUpgradeCheck = 0940;
				ORGANIZATIONNAME = "Ray Wenderlich";
				TargetAttributes = {
					3853FB77237B8D1D00835B42 = {
						CreatedOnToolsVersion = 11.2.1;
						TestTargetID = D2A5F1FF1F4A9144005CD714;
					};
					D2A5F1FF1F4A9144005CD714 = {
						CreatedOnToolsVersion = 9.0;
						LastSwiftMigration = 0900;
					};
				};
			};
			buildConfigurationList = D2A5F1FB1F4A9143005CD714 /* Build configuration list for PBXProject "MVVMFromMVC" */;
			compatibilityVersion = "Xcode 10.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = D2A5F1F71F4A9143005CD714;
			productRefGroup = D2A5F2011F4A9144005CD714 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				D2A5F1FF1F4A9144005CD714 /* MVVMFromMVC */,
				3853FB77237B8D1D00835B42 /* MVVMFromMVCTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		3853FB76237B8D1D00835B42 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3853FB89237C671A00835B42 /* WeatherbitExample.json in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D2A5F1FE1F4A9144005CD714 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5394F02521864DF5006E754C /* LaunchScreen.storyboard in Resources */,
				D2A5F20B1F4A9144005CD714 /* Assets.xcassets in Resources */,
				D2A5F2091F4A9144005CD714 /* Weather.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		3853FB74237B8D1D00835B42 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3864C3EE237CC1F4000C9CA0 /* LocationGeocoderTests.swift in Sources */,
				3853FB7B237B8D1D00835B42 /* WeatherbitDataTests.swift in Sources */,
				A0C7C8F7284A76C7006B5158 /* WeatherViewModelTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D2A5F1FC1F4A9144005CD714 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3864C3F0237CC570000C9CA0 /* WeatherViewController.swift in Sources */,
				A0C7C8F32849D93B006B5158 /* Box.swift in Sources */,
				3864C3EA237CB7FF000C9CA0 /* LocationGeocoder.swift in Sources */,
				3864C3EC237CB938000C9CA0 /* Location.swift in Sources */,
				D2A5F2211F4A96D0005CD714 /* AppDelegate.swift in Sources */,
				A0C7C8F52849D983006B5158 /* WeatherViewModel.swift in Sources */,
				38159E9824352DD000819474 /* WeatherbitData.swift in Sources */,
				38159E9A24352E8300819474 /* WeatherbitService.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		3853FB7E237B8D1D00835B42 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = D2A5F1FF1F4A9144005CD714 /* MVVMFromMVC */;
			targetProxy = 3853FB7D237B8D1D00835B42 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		5394F02321864DF4006E754C /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				5394F02421864DF4006E754C /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
		D2A5F2071F4A9144005CD714 /* Weather.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				D2A5F2081F4A9144005CD714 /* Base */,
			);
			name = Weather.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		3853FB80237B8D1D00835B42 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = "";
				INFOPLIST_FILE = MVVMFromMVCTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.raywenderlich.MVVMFromGroundUpTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Grados.app/Grados";
			};
			name = Debug;
		};
		3853FB81237B8D1D00835B42 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = "";
				INFOPLIST_FILE = MVVMFromMVCTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.raywenderlich.MVVMFromGroundUpTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Grados.app/Grados";
			};
			name = Release;
		};
		D2A5F2101F4A9144005CD714 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		D2A5F2111F4A9144005CD714 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		D2A5F2131F4A9144005CD714 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				DEVELOPMENT_TEAM = "";
				INFOPLIST_FILE = "$(SRCROOT)/MVVMFromMVC/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.raywenderlich.MVVMFromGroundUp;
				PRODUCT_NAME = Grados;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		D2A5F2141F4A9144005CD714 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				DEVELOPMENT_TEAM = "";
				INFOPLIST_FILE = "$(SRCROOT)/MVVMFromMVC/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.raywenderlich.MVVMFromGroundUp;
				PRODUCT_NAME = Grados;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		3853FB7F237B8D1D00835B42 /* Build configuration list for PBXNativeTarget "MVVMFromMVCTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3853FB80237B8D1D00835B42 /* Debug */,
				3853FB81237B8D1D00835B42 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		D2A5F1FB1F4A9143005CD714 /* Build configuration list for PBXProject "MVVMFromMVC" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D2A5F2101F4A9144005CD714 /* Debug */,
				D2A5F2111F4A9144005CD714 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		D2A5F2121F4A9144005CD714 /* Build configuration list for PBXNativeTarget "MVVMFromMVC" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D2A5F2131F4A9144005CD714 /* Debug */,
				D2A5F2141F4A9144005CD714 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = D2A5F1F81F4A9143005CD714 /* Project object */;
}
